Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-user-hu
Navigation:
Lists: gentoo-user-hu: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-user-hu@g.o
From: "George Hron" <hrgyster@...>
Subject: Re: Python Tkinter
Date: Thu, 14 Dec 2006 08:12:01 +0100
A legszebb út:<br>
emerge -C =dev-lang/python-2.3.4<br>
python-update<br>
<br>
Üdv:<br>
G.<br><br><div><span class="gmail_quote">2006/12/13, BORGULYA Gergely &lt;<a href="mailto:gergely@...">gergely@...</a>&gt;:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">
Azt hogy a python-hoz lefordult-e a tkinter csomag, azt a legegyszerűbb<br>kipróbálni, így:<br><br> $ python<br>Python 2.4.3 (#1, Dec&nbsp;&nbsp;4 2006, 13:45:12)<br>[GCC 3.4.4 (Gentoo 3.4.4-r1, ssp-3.4.4-1.0, pie-8.7.8)] on linux2
<br>Type &quot;help&quot;, &quot;copyright&quot;, &quot;credits&quot; or &quot;license&quot; for more information.<br>&gt;&gt;&gt; import _tkinter<br>&gt;&gt;&gt;<br><br>Ha nem volt hiba, akkor a python rendben van.<br><br>
Ha nincs a 2.4-es pythonban tk modul, annak lehet oka az, hogy a tk useflag<br>elnevezése változott a 2.3 és 2.4 -es python-ok között - ha jól vettem ki - :<br>tehát a régi tcltk flag helyett most tk flag jelent meg. Lehet probléma, ha
<br>ezt nem állítottad át.<br><br>A másik tippem szintén az upgrade-elésekhez tartozik, bár most nem úgy<br>hangzik, mint ha ez az eset forogna fenn:<br>A python modulok a /usr/lib/python-2.n/site-packages könyvtárba kerülnek. Ha
<br>több verzió is fennt van a pythonból, akkor hogy az egyes modulok melyik<br>verzióhoz kerüljenek/forduljanak, azt hirtelen nem is tudnám meg mondani,<br>hogy hogyan lehet beállítani. Mindenesetre előfordulhat, hogy másik python
<br>verzióhoz kerül az adott modul, mint az ember várná, ha nem elég körültekintő<br>az installáláskor. De minthogy alap python useflagről van szó, ezért ennek<br>most nem adok túl sok esélyt. Amennyiben ez az eset forog fennt, a
<br>legegyszerűbb megoldás letörölni a python korábbi verzióit, amennyiben nincs<br>rájuk szükség, ha nem is ez a legszebb út...<br><br>BG<br><br><br>On Tuesday 12 December 2006 10:39, POLONKAI Gergely wrote:<br>&gt; Csinaltam verziovaltogatast, de ettol meg az uzenet ugyanaz (a regebbi
<br>&gt; verzioval es az ujjal is). Kozben guglin talaltam egy olyan postot, hogy<br>&gt; valakinek ugy oldodott meg a problemaja, hogy emerge blt, amitol viszont<br>&gt; az enyem nem gyogyult meg :(<br>&gt; Van meg esetleg valakinek otlete?
<br>&gt;<br>&gt; POLONKAI Gergely írta:<br>&gt; &gt; A &quot;gond&quot; az, hogy ACCEPT_KEYWORDS=&quot;amd64 ~amd64&quot; nalam :) De nagyjabol<br>&gt; &gt; ezt fogom akkor vegigcsinalni, folteszek 2.4.4 helyett egy 2.4.3-mat
,<br>&gt; &gt; hatha azzal menni fog :)<br>&gt; &gt;<br>&gt; &gt; Csányi András írta:<br>&gt; &gt;&gt; 2006/12/12, POLONKAI Gergely &lt;<a href="mailto:polesz@...">polesz@...</a>&gt;:<br>&gt; &gt;&gt;&gt; Szia lista,
<br>&gt; &gt;&gt;&gt;<br>&gt; &gt;&gt;&gt; feltelepitettem a fetchmail csomagot ipv6 nls ssl -hesiod -kerberos<br>&gt; &gt;&gt;&gt; -krb4 flagekkel. Ezutan szerettem volna futtatni a fetchmailconfot,<br>&gt; &gt;&gt;&gt; mivel nem vagyok tul jo baratsagban a fetchmailrc-vel, de ezt kaptam.
<br>&gt; &gt;&gt;&gt;<br>&gt; &gt;&gt;&gt; Traceback (most recent call last):<br>&gt; &gt;&gt;&gt;&nbsp;&nbsp; File &quot;/usr/lib64/python2.4/site-packages/fetchmailconf.py&quot;, line<br>&gt; &gt;&gt;&gt; 10, in ?<br>&gt; &gt;&gt;&gt;&nbsp;&nbsp;&nbsp;&nbsp; from Tkinter import *
<br>&gt; &gt;&gt;&gt;&nbsp;&nbsp; File &quot;/usr/lib64/python2.4/lib-tk/Tkinter.py&quot;, line 38, in ?<br>&gt; &gt;&gt;&gt;&nbsp;&nbsp;&nbsp;&nbsp; import _tkinter # If this fails your Python may not be configured<br>&gt; &gt;&gt;&gt; for Tk<br>&gt; &gt;&gt;&gt; ImportError: No module named _tkinter
<br>&gt; &gt;&gt;&gt;<br>&gt; &gt;&gt;&gt;<br>&gt; &gt;&gt;&gt; A hibauzenetbol azt vettem ki, hogy a Pythonomban nincs TK tamogatas.<br>&gt; &gt;&gt;&gt; Viszont a pythonomban ott van a tk use flag (berkdb gdbm ipv6 ncurses
<br>&gt; &gt;&gt;&gt; readline ssl tk -bootstrap -build -doc -nocxx -ucs2).<br>&gt; &gt;&gt;&gt; Mire van meg szuksegem, hogy legyen tkinter modulom?<br>&gt; &gt;&gt;<br>&gt; &gt;&gt; ebbe a problémába én is belerohantam majd egy éve, csak ott a xqed
<br>&gt; &gt;&gt; nyafizott és szintén a&nbsp;&nbsp;flagek szerint nekem is be volt forgatva a<br>&gt; &gt;&gt; tkinter.<br>&gt; &gt;&gt; Akkoriban egy reinstall oldotta ezt meg nekem.<br>&gt; &gt;&gt; A helyedben betennék egy ~x86 os python csomagot majd levenném és a
<br>&gt; &gt;&gt; régit raknám a helyére, hogy mozduljon meg az &quot;egész&quot; píthon világ.<br>&gt; &gt;&gt; Nem egy szakszerű megoldás... inkább taknyolás...<br><br>--<br><a href="mailto:gentoo-user-hu@g.o">gentoo-user-hu@g.o
</a> mailing list<br><br></blockquote></div><br>
Replies:
Re: Python Tkinter
-- POLONKAI Gergely
References:
Python Tkinter
-- POLONKAI Gergely
Re: Python Tkinter
-- POLONKAI Gergely
Re: Python Tkinter
-- POLONKAI Gergely
Re: Python Tkinter
-- BORGULYA Gergely
Navigation:
Lists: gentoo-user-hu: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: Python Tkinter
Next by thread:
Re: Python Tkinter
Previous by date:
Re: Python Tkinter
Next by date:
Re: Python Tkinter


Updated Jun 17, 2009

Summary: Archive of the gentoo-user-hu mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.